package com.tofly.yswzMaterials.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Loss;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.LossParamVo;
import com.tofly.yswzMaterials.service.LossService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/loss")
@Api(tags = "金蝶-盘亏接口")
public class LossController {

    private final LossService lossService;

    @PostMapping("/insertLoss")
    @ApiOperation("增加盘亏单")
    public ResultRespone<Boolean> insertLoss(@Validated Loss loss, @RequestPart(required = false) @ApiParam("附件列表") List<MultipartFile> file) {
        return ResultRespone.success(lossService.insertLoss(loss,file));
    }

    @DeleteMapping("/delete")
    @ApiOperation("删除盘亏单")
    public ResultRespone<Boolean> deleteLoss(String ids) {
        return ResultRespone.success(lossService.deleteLoss(ids));
    }

    @PutMapping("/update")
    @ApiOperation("修改盘亏单")
    public ResultRespone<Boolean> updateLoss(@Validated Loss loss, @RequestPart(required = false) @ApiParam("附件列表")List<MultipartFile> file) {
        return ResultRespone.success(lossService.updateLoss(loss,file));
    }

    @GetMapping("/getById")
    @ApiOperation("id查询详情")
    public ResultRespone<Loss> getById(Long id) {
        return ResultRespone.success(lossService.getById(id));
    }

    @GetMapping("/getPage")
    @ApiOperation("分页查询")
    public ResultRespone<Page<Loss>> getPage(Page page, CommonQueryDto dto) {
        return ResultRespone.success(lossService.getPageInfo(page, dto));
    }

    @GetMapping("/getLossInfo")
    @ApiOperation("查询盘亏单")
    public ResultRespone<LossParamVo> getLossInfo(String code) {
        return ResultRespone.success(lossService.getLossInfo(code));
    }

}
