package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.StocksAuditConfig;
import com.tofly.yswzMaterials.service.StocksAuditConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("auditConfig")
@Api(tags = "审批流程配置接口")
public class StocksAuditConfigController {

  private final StocksAuditConfigService stocksAuditConfigService;

  @PostMapping("/insertAuditConfig")
  @ApiOperation("添加配置")
  public ResultRespone insertAuditConfig(@RequestBody StocksAuditConfig config) {
    return ResultRespone.success(stocksAuditConfigService.insertAuditConfig(config));
  }

  @DeleteMapping("/deletesAuditConfig")
  @ApiOperation("删除配置")
  public ResultRespone deletesAuditConfig(String ids) {
    return ResultRespone.success(stocksAuditConfigService.deletesAuditConfig(ids));
  }

  @PutMapping("/updateAuditConfig")
  @ApiOperation("修改配置")
  public ResultRespone updateAuditConfig(StocksAuditConfig config) {
    return ResultRespone.success(stocksAuditConfigService.updateAuditConfig(config));
  }

  @GetMapping("/getAuditConfigList")
  @ApiOperation("查询配置")
  public ResultRespone getAuditConfigList() {
    return ResultRespone.success(stocksAuditConfigService.getAuditConfigList());
  }
}
