package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.StocksAudit;
import com.tofly.yswzMaterials.service.StocksAuditService;
import io.swagger.annotations.*;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("stockAudit")
@Api(tags = "流程审核相关接口")
public class StocksAuditController {

  private final StocksAuditService stocksAuditService;

  @PostMapping("initiateReview")
  @ApiOperation("发起审批")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "type", value = "审批类型，查询字典id", required = true, dataType = "Long"),
    @ApiImplicitParam(name = "id", value = "发起记录id", required = true, dataType = "Long")
  })
  public ResultRespone initiateReview(Long type, Long id) {
    return ResultRespone.success(stocksAuditService.initiateReview(type, id));
  }

  @PostMapping("nowAuditInfo")
  @ApiOperation("获取当前审核人的审核信息")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "type", value = "审批类型，查询字典id", required = true, dataType = "Long"),
    @ApiImplicitParam(name = "id", value = "发起记录id", required = true, dataType = "Long")
  })
  public ResultRespone nowAuditInfo(Long type, Long id) {
    return ResultRespone.success(stocksAuditService.nowAuditInfo(type, id));
  }

  @PostMapping("/userApprovals")
  @ApiOperation("用户审批")
  public ResultRespone userApprovals(StocksAudit audit, List<MultipartFile> fileIds) {
    return ResultRespone.success(stocksAuditService.userApprovals(audit, fileIds));
  }

  @GetMapping("/testPush")
  @ApiOperation(value = "测试推送")
  public ResultRespone testPush(Long id){
    return ResultRespone.success(stocksAuditService.testPush(id));
  }
}
