package com.tofly.yswzMaterials.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.StocksUnit;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.service.StocksUnitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/stocksUnit")
@Api(tags = "金蝶-计量单位接口")
public class StocksUnitController {

    private final StocksUnitService stocksUnitService;

    @GetMapping("/getUnitByGroup")
    @ApiOperation("根据单位分组获取单位")
    public ResultRespone getUnitByGroup(){
        return ResultRespone.success(stocksUnitService.getUnitByGroup());
    }

    @GetMapping("/page")
    @ApiOperation("分页查询")
    public ResultRespone<Page<StocksUnit>> pageUnit(Page page, CommonQueryDto dto) {
        return ResultRespone.success(stocksUnitService.pageUnit(page, dto));
    }

}
