package com.tofly.yswzMaterials.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Storage;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.StorageParamVo;
import com.tofly.yswzMaterials.service.StorageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/stotage")
@Api(tags = "金蝶-外购入库接口")
public class StorageController {

    private final StorageService storageService;

    @PostMapping("/insertStorage")
    @ApiOperation("外购入库新增")
    public ResultRespone<Boolean> insertStorage(@Validated Storage storage,
                                       @RequestPart(required = false) @ApiParam("附件列表") List<MultipartFile> fileIds){
        return ResultRespone.success(storageService.insertStorage(storage,fileIds));
    }

    @GetMapping("/getStorageInfo")
    @ApiOperation("外购入库单号查询")
    public ResultRespone<StorageParamVo> getStorageInfo(String code){
        return ResultRespone.success(storageService.getStorageInfo(code));
    }

    @PutMapping("/updateStorage")
    @ApiOperation("外购入库修改")
    public ResultRespone<Boolean> updateStorage(@Validated Storage storage,
                                                @RequestPart(required = false) @ApiParam("附件列表") List<MultipartFile> fileIds){
        return ResultRespone.success(storageService.updateStorage(storage,fileIds));
    }

    @GetMapping("/page")
    @ApiOperation("分页查询")
    public ResultRespone<Page<Storage>> page(Page page, CommonQueryDto dto){
        return ResultRespone.success(storageService.page(page, dto));
    }

    @GetMapping("/byId")
    @ApiOperation("id查询详情")
    public ResultRespone<Storage> getById(Long id){
        return ResultRespone.success(storageService.getById(id));
    }

    @DeleteMapping("/delete")
    @ApiOperation("删除")
    public ResultRespone<Boolean> delete(String ids){
        return ResultRespone.success(storageService.delete(ids));
    }
}
