package com.tofly.yswzMaterials.custom.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.custom.service.StatisticsService;
import com.tofly.yswzMaterials.entity.dto.StatisticsQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("statistics")
@Api(tags = "报表统计相关接口")
public class StatisticsController {

  private final StatisticsService statisticsService;

  @GetMapping("/recordStatistics")
  @ApiOperation("记录汇总接口")
  public ResultRespone recordStatistics(StatisticsQuery query) {
    return ResultRespone.success(statisticsService.recordStatistics(query));
  }

  @GetMapping("/recordInfoPage")
  @ApiOperation("记录分页接口")
  public ResultRespone recordInfoPage(Page page, StatisticsQuery query) {
    return ResultRespone.success(statisticsService.recordInfoPage(page, query));
  }

  @GetMapping("/summaryOfMaterialCosts")
  @ApiOperation("资产统计根据物资类型")
  public ResultRespone summaryOfMaterialCosts(StatisticsQuery query) {
    return ResultRespone.success(statisticsService.summaryOfMaterialCosts(query));
  }

  @GetMapping("/detailOfMaterialCosts")
  @ApiOperation("资产统计详情")
  public ResultRespone detailOfMaterialCosts(Page page, StatisticsQuery query) {
    return ResultRespone.success(statisticsService.detailOfMaterialCosts(page, query));
  }
}
