package com.tofly.yswzMaterials.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.dto.StatisticsQuery;
import com.tofly.yswzMaterials.entity.vo.StatisticsTotalVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 统计报表相关接口
 * @author bubble
 */

@Mapper
public interface StatisticsMapper {

    /**
     * 记录汇总
     * @param query 查询条件
     * @return list
     */
    List<StatisticsTotalVo> recordStatistics(@Param("query") StatisticsQuery query);

    /**
     * 入库费用汇总
     * @param query 查询条件
     * @return page
     */
    Map<String, Object> inStockSummary(@Param("query")StatisticsQuery query);

    /**
     * 入库详情
     * @param query query
     * @return page
     */
    Page<Map<String, Object>> inStockDetail(Page page,@Param("query")StatisticsQuery query);

    /**
     * 出库费用汇总
     * @param query query
     * @return map
     */
    Map<String, Object> outStockSummary(@Param("query")StatisticsQuery query);

    /**
     * 出库详情
     * @param query query
     * @return page
     */
    Page<Map<String, Object>> outStockDetail(Page page,@Param("query")StatisticsQuery query);

    /**
     * 外卖出库汇总
     * @param query
     * @return
     */
    Map<String, Object> takeawayStockSummary(@Param("query")StatisticsQuery query);

    /**
     * 出库详情
     * @param query query
     * @return page
     */
    Page<Map<String, Object>> takeawayStockDetail(Page page,@Param("query")StatisticsQuery query);

    String getMaxNo(@Param("no") String no,@Param("tableName") String tableName,@Param("type") Integer type,@Param("status") Integer status);
}
