package com.tofly.yswzMaterials.custom.service.impl;

import cn.hutool.core.date.DateUtil;
import com.tofly.yswzMaterials.custom.mapper.StatisticsMapper;
import com.tofly.yswzMaterials.custom.service.CommonUtilService;
import lombok.AllArgsConstructor;
import org.apache.commons.lang.time.DateFormatUtils;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author Bubble
 */
@Service
@AllArgsConstructor
public class CommonUtilServiceImpl implements CommonUtilService {

    private final StatisticsMapper statisticsMapper;
    /**
     * 生成单据编号
     *
     * @param type type
     * @return string
     */
    @Override
    public String getBillNo(Integer type,Integer status) {
        String code = "";
        String tableName = "";
        switch(type) {
            case 1:
                code = "WGRK";
                tableName = "TF_JINDIE_STORAGE";
                break;
            case 2:
                code = "SCLL";
                tableName = "TF_JINDIE_PICKING";
                break;
            case 3:
                code = "HSTK";
                tableName = "TF_JINDIE_STORAGE";
                break;
            case 4:
                code = "WMCK";
                tableName = "TF_JINDIE_PICKING";
                break;
            case 5:
                code = "PY";
                tableName = "TF_JINDIE_PROFIT";
                break;
            case 6:
                code = "PK";
                tableName = "TF_JINDIE_LOSS";
                break;
            default:
        }

        String prefix = code + "-" + DateUtil.format(new Date(), "yyyyMMdd");
        String maxNo = statisticsMapper.getMaxNo(prefix, tableName, type , status);
        int firstNum = 1;
        if (maxNo.length() == 17) {
            firstNum = Integer.parseInt(maxNo.substring(14)) + 1;
        }
        // 补全数字，不足用0补位
        String suffix = String.format("%04d", firstNum);

        return prefix + suffix;
    }
}
