package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 盘盈
 *
 * @author Bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_JINDIE_PROFIT_DETAIL", resultMap = "profitDetailMap")
@KeySequence("TF_JINDIE_PROFIT_DETAIL")
@ApiModel
public class ProfitDetail extends Model<ProfitDetail> {

  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "主键ID")
  private Long id;

  @ApiModelProperty(value = "物料编码")
  private String itemIdCode;

  @ApiModelProperty(value = "物料名称")
  private String itemIdName;

  @ApiModelProperty(value = "规格型号")
  private String itemIdModel;

  @ApiModelProperty(value = "单位名称")
  private String unitIdName;

  @ApiModelProperty(value = "仓库名称")
  private String stockIdName;

  @ApiModelProperty(value = "盘盈数量")
  private Double qty;

  @ApiModelProperty(value = "单价")
  private Double price;

  @ApiModelProperty(value = "金额")
  private Double amount;

  @ApiModelProperty(value = "备注")
  private String note;

  @ApiModelProperty(value = "存账数量")
  private Double qtyMust;

  @ApiModelProperty(value = "实盘数量")
  private Double qtyActual;

  @ApiModelProperty(value = "盘盈id")
  private Long profitId;

  @ApiModelProperty(value = "库存id")
  private Long inventoryId;

  @ApiModelProperty(value = "仓库编码")
  private String stockId;
}
