package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_AUDIT", resultMap = "stocksAuditMap")
@KeySequence("TF_STOCKS_AUDIT")
@ApiModel
public class StocksAudit extends Model<StocksAudit> {

  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "主键ID")
  private Long id;

  @ApiModelProperty(value = "审核等级")
  private Long auditLevel;

  @ApiModelProperty(value = "审核类型 ")
  private Long auditType;

  @ApiModelProperty(value = "表名")
  private String tableName;

  @ApiModelProperty(value = "表id")
  private Long tableId;

  @ApiModelProperty(value = "审核部门")
  private Long auditDept;

  @ApiModelProperty(value = "审核人")
  private Long auditUser;

  @ApiModelProperty(value = "审核消息")
  private String auditMsg;

  @ApiModelProperty(value = "审核文件路径")
  private String auditFile;

  @ApiModelProperty(value = "审核状态 0 待审核 1 审核通过 2 审核驳回")
  private Long auditStatus;

  @ApiModelProperty(value = "排序")
  private Long sort;

  @ApiModelProperty(value = "审核时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date auditTime;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditTypeName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditDeptName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditUserName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditStatusName;
}
