/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 物资设备信息表（包含物料、设备、药品）
 *
 * @author JF
 * @date Wed Mar 29 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_DEVICE_INFO", resultMap = "tfStocksDeviceInfoMap")
@KeySequence("TF_STOCKS_DEVICE_INFO")
@ApiModel
public class StocksDeviceInfo extends Model<StocksDeviceInfo> {
  private static final long serialVersionUID = 1L;
  /** $column.comments */
  @TableId(value = "id", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "$column.comments")
  private Long id;
  /** 设备唯一编码 */
  @ApiModelProperty(value = "设备唯一编码")
  private String deviceNo;
  /** 设备名称 */
  @ApiModelProperty(value = "设备名称")
  private String deviceName;
  /** 设备规格型号 */
  @ApiModelProperty(value = "设备规格型号")
  private String deviceSpecsModel;
  /** 设备单位（字典ID） */
  @ApiModelProperty(value = "设备单位（字典ID）")
  private Long deviceUnitId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String deviceUnitIdName;
  /** 设备单位名称 */
  @ApiModelProperty(value = "设备单位名称")
  private String deviceUnitName;
  /** 设备所在地址 */
  @ApiModelProperty(value = "设备所在地址")
  private String deviceAddress;
  /** 设备购买时间 */
  @ApiModelProperty(value = "设备购买时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date devicePurchaseTime;
  /** 设备安装时间 */
  @ApiModelProperty(value = "设备安装时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date deviceInstallTime;
  /** 物资类型 */
  @ApiModelProperty(value = "物资类型")
  private Long materialTypeId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String materialTypeName;
  /** 生产主材、生产耗材、设备工具、劳保用品、办公用品（电脑、空调、桌椅） */
  @ApiModelProperty(value = "生产主材、生产耗材、设备工具、劳保用品、办公用品（电脑、空调、桌椅）")
  private Long deviceType;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String deviceTypeName;

  @ApiModelProperty(value = "供应商")
  private String vendor;

  @ApiModelProperty(value = "厂家")
  private String factory;

  @ApiModelProperty(value = "采购价")
  private Double purchasePrice;

  @ApiModelProperty(value = "售价 = 采购价x系数")
  private Double sellingPrice;

  @ApiModelProperty(value = "报警库存量")
  private Integer warnInventory;

  @ApiModelProperty(value = "系数")
  private Double coefficient;

  @ApiModelProperty(value = "备注")
  private String notes;
  @ApiModelProperty(value = "批次号")
  private String lotNumber;

  @ApiModelProperty(value = "税率")
  private String taxRate;

  @ApiModelProperty(value = "单位组")
  private String unitGroup;
}
