/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 库存入库信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_INSTOCK_INFO", resultMap = "tfStocksInstockInfoMap")
@KeySequence("TF_STOCKS_INSTOCK_INFO")
@ApiModel
public class StocksInstockInfo extends Model<StocksInstockInfo> {
  private static final long serialVersionUID = 1L;
  /** 附件json */
  @ApiModelProperty(value = "附件json")
  private String annex;
  /** 入库类型 1 物料，2 设备，3药品 */
  @ApiModelProperty(value = "入库类型 1 物料，2 设备，3药品")
  private Long instockCategory;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String instockCategoryName;
  /** 水厂id */
  @ApiModelProperty(value = "公司")
  private Long firm;

  /** 入库部门 */
  @ApiModelProperty(value = "入库部门")
  private Long instockDpt;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String instockDptName;
  /** $column.comments */
  @TableId(value = "ID", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "$column.comments")
  private Long id;
  /** 入库编号（自动生成，RK+年+月+0001（三位序号） */
  @ApiModelProperty(value = "入库编号（自动生成，RK+年+月+0001（三位序号）")
  private String instockNo;
  /** 发票号 */
  @ApiModelProperty(value = "发票号")
  private String invoiceNo;
  /** 订单号 */
  @ApiModelProperty(value = "订单号")
  private String orderNo;
  /** 业务类型（1、普通采购 2、集中采购） 字典ID */
  @ApiModelProperty(value = "业务类型（1、普通采购 2、集中采购） 字典ID")
  private Long buinessType;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String buinessTypeName;
  /** 入库时间 */
  @ApiModelProperty(value = "入库时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date instockTime;
  /** 入库人ID */
  @ApiModelProperty(value = "入库人ID")
  private Long instockUserId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String instockUserName;
  /** 入库备注 */
  @ApiModelProperty(value = "入库备注")
  private String instockRemark;
  /** 仓库ID */
  @ApiModelProperty(value = "仓库ID")
  private Long storeId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String storeName;
  /** 供货单位 */
  @ApiModelProperty(value = "供货单位")
  private String supplier;
  /** 入库类别 1、普通入库 字典ID */
  @ApiModelProperty(value = "入库类别 1、普通入库   字典ID")
  private Long instockType;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String instockTypeName;
  /** 入库状态，1入库中（待确认） 2、已确认 */
  @ApiModelProperty(value = "入库状态，字典表")
  private Long instockStatus;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String instockStatusName;
  /** 采购类型（1、渠道采购）字典ID */
  @ApiModelProperty(value = "采购类型（1、渠道采购）字典ID")
  private Long purchaseType;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String purchaseTypeName;
  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;
  /** 更新时间 */
  @ApiModelProperty(value = "更新时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
  private Date updateTime;

  @ApiModelProperty(value = "当前审核人")
  private Long auditUser;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditUserName;

  @ApiModelProperty(value = "当前审核部门")
  private Long auditDept;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditDeptName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String firmName;
}
