/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 库存物资类型表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_MATERIAL_TYPE", resultMap = "tfStocksMaterialTypeMap")
@KeySequence("TF_STOCKS_MATERIAL_TYPE")
@ApiModel
public class StocksMaterialType extends Model<StocksMaterialType> {
  private static final long serialVersionUID = 1L;
  /** 主键ID */
  @TableId(value = "id", type = IdType.ASSIGN_ID)
  @ApiModelProperty("主键ID")
  private Long id;
  /** 物资类型父级ID */
  @ApiModelProperty(value = "物资类型父级ID")
  private BigDecimal parentId;
  /** 物资类型名称 */
  @ApiModelProperty(value = "物资类型名称")
  private String materialTypeName;
  /** 物资类别 （关联字典ID) */
  @ApiModelProperty(value = "物资类别 （关联字典ID)")
  private Long materialCategoryId;
  /** 物资类别名称 */
  @ApiModelProperty(value = "物资类别名称")
  private String materialCategoryName;
  /** 物资类型备注 */
  @ApiModelProperty(value = "物资类型备注")
  private String materialTypeRemark;
}
