/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 库存出库明细表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_OUTSTOCK_DETAIL", resultMap = "tfStocksOutstockDetailMap")
@KeySequence("TF_STOCKS_OUTSTOCK_DETAIL")
@ApiModel
public class StocksOutstockDetail extends Model<StocksOutstockDetail> {
  private static final long serialVersionUID = 1L;
  /** 出库ID */
  @TableId(value = "ID", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "出库ID")
  private Long id;
  /** 该设备库存表ID */
  @ApiModelProperty(value = "该设备库存表ID")
  private Long stockInfoId;
  /** 出库数量 */
  @ApiModelProperty(value = "出库数量")
  private Double outstockNum;
  /** $column.comments */
  @ApiModelProperty(value = "$column.comments")
  private Long outstockInfoId;
  /** 设备名称 */
  @ApiModelProperty(value = "设备名称", hidden = true)
  @TableField(exist = false)
  private String deviceName;
}
