/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.yswzMaterials.entity.dto.NullHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 库存出库信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_OUTSTOCK_INFO", resultMap = "tfStocksOutstockInfoMap")
@KeySequence("TF_STOCKS_OUTSTOCK_INFO")
@ApiModel
public class StocksOutstockInfo extends Model<StocksOutstockInfo> {
  private static final long serialVersionUID = 1L;
  /** 出库部门 */
  @ApiModelProperty(value = "出库部门")
  private Long outstockDpt;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outstockDptName;
  /** 出库信息主键ID */
  @TableId(value = "ID", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "出库信息主键ID")
  private Long id;
  /** 出库编号（WLCK+年+月+0001三位序号） */
  @ApiModelProperty(value = "出库编号（WLCK+年+月+0001三位序号）")
  private String outstockNo;
  /** 出库时间 */
  @ApiModelProperty(value = "出库时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date outstockTime;
  /** 仓库ID */
  @ApiModelProperty(value = "仓库ID")
  private Long storeId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String storeName;
  /** 出库人用户ID */
  @ApiModelProperty(value = "出库人用户ID")
  private Long outstockUserId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outstockUserName;
  /** 客户 */
  @ApiModelProperty(value = "客户")
  @TableField(
      jdbcType = JdbcType.VARCHAR,
      updateStrategy = FieldStrategy.IGNORED,
      typeHandler = NullHandler.class)
  private String outstockCustom;
  /** 出库类别 外键ID */
  @ApiModelProperty(value = "出库类别 外键ID")
  private Long outstockTypeId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outstockTypeName;
  /** 业务类型 */
  @ApiModelProperty(value = "业务类型")
  private Long buninessType;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String buninessTypeName;
  /** 出库备注 */
  @ApiModelProperty(value = "出库备注")
  private String outstockRemark;
  /** 入库状态，1出库中（待确认） 2、已确认 */
  @ApiModelProperty(value = "入库状态，1出库中（待确认） 2、已确认")
  private Long outstockStatus;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outstockStatusName;
  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;
  /** 更新时间 */
  @ApiModelProperty(value = "更新时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
  private Date updateTime;
  /** 附件json */
  @ApiModelProperty(value = "附件json")
  private String annex;
  /** 出库类型 1 物料，2 设备，3药品 */
  @ApiModelProperty(value = "出库类型 1 物料，2 设备，3药品")
  private Long outstockCategory;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outstockCategoryName;
  /** 水厂id */
  @ApiModelProperty(value = "所属公司")
  private Long firm;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String firmName;

  @ApiModelProperty(value = "当前审核人员")
  private Long auditUser;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditUserName;

  @ApiModelProperty(value = "当前审核部门")
  private Long auditDept;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditDeptName;

  @ApiModelProperty(value = "领取人员")
  private Long receiveUser;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String receiveUserName;

  @ApiModelProperty(value = "领取部门")
  private Long receiveDept;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String receiveDeptName;

  @ApiModelProperty(value = "出库用途")
  private Long outStockUse;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String outStockUseName;
}
