/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 库存货架表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_SHELVES", resultMap = "tfStocksShelvesMap")
@KeySequence("TF_STOCKS_SHELVES")
@ApiModel
public class StocksShelves extends Model<StocksShelves> {
  private static final long serialVersionUID = 1L;
  /** 货架主键ID */
  @TableId(value = "ID", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "货架主键ID")
  private Long id;
  /** 仓库ID */
  @ApiModelProperty(value = "仓库ID")
  private Long storeId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private StocksStore stocksStore;
  /** 货架编号 */
  @ApiModelProperty(value = "货架编号")
  private String shelvesNo;
  /** 货架尺寸 */
  @ApiModelProperty(value = "货架尺寸")
  private String shelvesSize;
  /** 货架层数 */
  @ApiModelProperty(value = "货架层数")
  private Integer shelvesLayersNum;
  /** 货架每层承重 */
  @ApiModelProperty(value = "货架每层承重")
  private String shelvesLayersLoad;
  /** 货架备注 */
  @ApiModelProperty(value = "货架备注")
  private String shelvesRemark;
}
