/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 物资库存信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_STOCK_INFO", resultMap = "tfStocksStockInfoMap")
@KeySequence("TF_STOCKS_STOCK_INFO")
@ApiModel
public class StocksStockInfo extends Model<StocksStockInfo> {
  private static final long serialVersionUID = 1L;
  /** 库存信息（主键ID） */
  @TableId(value = "ID", type = IdType.ASSIGN_ID)
  @ApiModelProperty(value = "库存信息（主键ID）")
  private Long id;

  /** 设备编号 */
  @ApiModelProperty(value = "设备编码")
  private String deviceId;

  /** 库存数量 */
  @ApiModelProperty(value = "库存数量")
  private Double stockNum;

  /** 入库数量 */
  @ApiModelProperty(value = "入库总数量")
  private Double instockTotalNum;

  @ApiModelProperty(value = "新购入库总数量")
  private Double inStockNewTotalNum;

  @ApiModelProperty(value = "回收退库总数量")
  private Double returnStockTotalNum;

  /** 出库数量 */
  @ApiModelProperty(value = "出库总数量")
  private Double outstockTotalNum;

  @ApiModelProperty(value = "增补出库-增补总数量")
  private Double supplementStockTotalNum;

  @ApiModelProperty(value = "增补出库-退库总数量")
  private Double unboundTotalNum;

  /** 使用数量 */
  @ApiModelProperty(value = "外卖出库总数量")
  private Double takeawayTotalNum;

  @ApiModelProperty(value = "盘盈总数量")
  private Double profitTotalNum;

  @ApiModelProperty(value = "盘亏总数量")
  private Double lossTotalNum;

  /** 仓库ID */
  @ApiModelProperty(value = "仓库ID")
  @NotNull(message = "仓库不能为空")
  private String storeId;

  /** 货架ID */
  @ApiModelProperty(value = "货架ID")
  private String shelvesId;
}
