/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 库存仓库表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_STORE", resultMap = "tfStocksStoreMap")
@KeySequence("TF_STOCKS_STORE")
@ApiModel
public class StocksStore extends Model<StocksStore> {
  private static final long serialVersionUID = 1L;

  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "仓库表主键ID")
  private Long id;

  /** 仓库管理员id */
  @ApiModelProperty(value = "仓库管理员id")
  private Long storeManagerUserId;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String storeManagerUserName;
  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
  private Long createUser;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String createUserName;
  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;
  /** 修改时间 */
  @ApiModelProperty(value = "修改时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
  private Date updateTime;
  /** 更新人员 */
  @ApiModelProperty(value = "更新人员")
  @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
  private Long updateUser;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String updateUserName;
  /* 仓库表主键ID */
  /** 仓库名称 */
  @ApiModelProperty(value = "仓库名称")
  private String storeName;
  @ApiModelProperty(value = "仓库编码")
  private String storeNumber;
  /** 水厂ID */
  @ApiModelProperty(value = "所属公司")
  private Long firm;

  /** 仓库作用 */
  @ApiModelProperty(value = "仓库作用")
  private String storeFunction;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String storeFunctionName;
  /** 是否启用,0否，1是 */
  @ApiModelProperty(value = "是否启用,0否，1是")
  private String storeEnable;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String storeEnableName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String firmName;
}
