package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author bubble
 */
@Data
@TableName(value = "TF_STOCKS_SUPPLEMENT_INFO", resultMap = "stocksSupplementInfoMap")
@KeySequence("TF_STOCKS_SUPPLEMENT_INFO")
@ApiModel
public class StocksSupplementInfo extends Model<StocksSupplementInfo> {

  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "补充信息主键ID")
  private Long id;

  @ApiModelProperty(value = "增补code")
  private String supplementCode;

  @ApiModelProperty(value = "出库记录编号")
  private String outStockCode;

  @ApiModelProperty(value = "增补出库类型：字典表 新增/退库")
  private Long supplementType;

  @ApiModelProperty(value = "备注")
  private String notes;

  @ApiModelProperty(value = "文件json")
  private String annex;

  @ApiModelProperty(value = "公司")
  private Long firm;

  @ApiModelProperty(value = "仓库id")
  private Long storeId;

  @ApiModelProperty(value = "增补人员")
  private Long supplementUser;

  @ApiModelProperty(value = "增补部门")
  private Long supplementDept;

  @ApiModelProperty(value = "增补日期")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date supplementDate;

  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
  private Long createUser;

  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;
  /** 修改时间 */
  @ApiModelProperty(value = "修改时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
  private Date updateTime;
  /** 更新人员 */
  @ApiModelProperty(value = "更新人员")
  @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
  private Long updateUser;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String updateUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String supplementUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String supplementDeptName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String createUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String supplementTypeName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String firmName;
}
