package com.tofly.yswzMaterials.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author Bubble
 */
@Data
public class ReportQueryDto {

    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;

    @ApiModelProperty(value = "报单开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "报单结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "物料名称（查询成本详情时使用）")
    private String materialsName;

    @ApiModelProperty(value = "仓库名称（查询成本详情时使用）")
    private String stockName;

    @ApiModelProperty(value = "环节类型 0 入库 1 出库 2 退库 3 外卖出库 4 盘盈  5盘亏")
    private Integer type;

    @ApiModelProperty(value = "模糊查询字段（查询成本详情时使用）")
    private String input;

}
