package com.tofly.yswzMaterials.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author bubble
 */
@Data
public class StatisticsQuery {

    @ApiModelProperty(value = "公司id")
    private Long firm;

    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /** 出库时间 */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "登记人id")
    private Long createUser;

    @ApiModelProperty(value = "审核所处环节")
    private Long status;

    @ApiModelProperty(value = "0 入库 1 材料回收退库 2 出库 3增补出库 4 外卖出库")
    private Long queryType;

    @ApiModelProperty("模糊查询字段")
    private String input;

    @ApiModelProperty("物资类型id")
    private Long materialType;

}
