package com.tofly.yswzMaterials.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.yswzMaterials.entity.StocksTakeawayDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author Bubble
 */
@Data
public class StocksTakeawayInfoDto {

    @ApiModelProperty(value = "库存信息（主键ID）")
    private Long id;

    @ApiModelProperty(value = "外卖出库编号")
    private String takeawayCode;

    @ApiModelProperty(value = "外卖出库状态")
    private Long takeawayStatus;

    @ApiModelProperty(value = "外卖出库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date takeawayDate;

    @ApiModelProperty(value = "出库人")
    private Long takeawayUser;

    @ApiModelProperty(value = "出库部门")
    private Long takeawayDept;

    @ApiModelProperty(value = "公司")
    private Long firm;

    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty("购买用户")
    private String purchaseUser;

    @ApiModelProperty("用户电话")
    private String telephone;

    @ApiModelProperty("文件json")
    private String annex;

    @ApiModelProperty("详情")
    private List<StocksTakeawayDetail> takeawayDetails;
}
