package com.tofly.yswzMaterials.entity.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.yswzMaterials.entity.StocksSupplementDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author bubble
 */
@Data
public class SupplementInfoDto {

  @ApiModelProperty(value = "补充信息主键ID")
  private Long id;

  @ApiModelProperty(value = "增补code")
  private String supplementCode;

  @ApiModelProperty(value = "出库记录id")
  private String outStockCode;

  @ApiModelProperty(value = "增补出库类型：字典表 新增/退库")
  private Long supplementType;

  @ApiModelProperty(value = "备注")
  private String notes;

  @ApiModelProperty(value = "文件json")
  private String annex;

  @ApiModelProperty(value = "公司")
  private Long firm;

  @ApiModelProperty(value = "仓库id")
  private Long storeId;

  @ApiModelProperty(value = "增补人员")
  private Long supplementUser;

  @ApiModelProperty(value = "增补部门")
  private Long supplementDept;

  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
  private Long createUser;

  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;
  /** 修改时间 */
  @ApiModelProperty(value = "修改时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
  private Date updateTime;
  /** 更新人员 */
  @ApiModelProperty(value = "更新人员")
  @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
  private Long updateUser;

  List<StocksSupplementDetail> supplementDetails;
}
