package com.tofly.yswzMaterials.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author bubble
 */
@Data
public class StockSupplementVo {

  /** 仓库id */
  @ApiModelProperty(value = "仓库id")
  private Long storeId;

  /** 仓库名称 */
  @ApiModelProperty(value = "仓库名称")
  private String storeName;

  /** 货架ID */
  @ApiModelProperty(value = "货架ID")
  private Long shelvesId;

  /** 货架编号 */
  @ApiModelProperty(value = "货架编号")
  private String shelvesNo;

  /** 水厂Id */
  @ApiModelProperty(value = "公司Id")
  private Long firm;

  /** 水厂名称 */
  @ApiModelProperty(value = "水厂名称")
  private String firmName;

  @ApiModelProperty(value = "增补出库编号")
  private String supplementCode;

  /** 增补出库编号 */
  @ApiModelProperty(value = "出库编号")
  private String outStockCode;
  /** 出库时间 */
  @ApiModelProperty(value = "增补出库时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date supplementDate;

  /** 出库人ID */
  @ApiModelProperty(value = "增补出库人id")
  private Long supplementUser;

  /** 出库人 */
  @ApiModelProperty(value = "增补出库人姓名")
  private String supplementUserName;

  /** 出库数量 */
  @ApiModelProperty(value = "增补出库数量")
  private Double supplementNum;

  @ApiModelProperty(value = "增补类型名称")
  private String typeName;

  @ApiModelProperty(value = "增补出库类型")
  private Long supplementType;

  private Double sellingPriceTotal;
}
