package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.yswzMaterials.entity.StocksAudit;
import com.tofly.yswzMaterials.entity.vo.InStockCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bubble
 */
@Mapper
public interface StocksAuditMapper extends BaseMapper<StocksAudit> {

  /**
   * 获取最大表id
   *
   * @param tableName 表名
   * @return long
   */
  Long getMaxId(@Param("tableName") String tableName);

  /**
   * 添加消息
   *
   * @param mp 消息内容
   * @return Boolean
   */
  boolean insertMessagePush(@Param("mp") Messagepush mp);

  /**
   * 添加消息接收人
   *
   * @param mr 接收人
   * @return boolean
   */
  boolean insertMessageRecipient(@Param("mr") Messagerecipient mr);

  String getDeptName(@Param("id") Long id);

  String getCodeName(@Param("id") Long id);

  /**
   * 统计入库信息
   *
   * @param id 入库记录id
   * @return list
   */
  List<InStockCountVo> inStockInfoCount(@Param("id") Long id);

  /**
   * 入库审核信息
   * @param id  入库记录id
   * @return list
   */
  List<StocksAudit> getInStocksAuditList(@Param("id") Long id);
  /**
   * 出库审核信息
   * @param id  出库记录id
   * @return list
   */
  List<StocksAudit> getOutStocksAuditList(@Param("id") Long id);
  /**
   * 外卖出库审核信息
   * @param id  入库记录id
   * @return list
   */
  List<StocksAudit> getTakeawayStocksAuditList(@Param("id") Long id);

  List<StocksAudit> getLossStocksAuditList(@Param("id") Long id);

  List<StocksAudit> getProfitStocksAuditList(@Param("id") Long id);

  /**
   * 审核流程完成后清空当前审核信息
   * @param tableName 表名
   * @param id  id
   * @param type 审批类型
   * @return Boolean
   */
  boolean emptyAuditInfo(@Param("tableName") String tableName,@Param("id")Long id,@Param("type")Long type,@Param("status") Long status);
}
