/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.Syschildcode;
import com.tofly.yswzMaterials.entity.StocksDeviceInfo;
import com.tofly.yswzMaterials.entity.dto.DeviceInfoQuery;
import com.tofly.yswzMaterials.entity.dto.DeviceInfoStoreQuery;
import com.tofly.yswzMaterials.entity.vo.DeviceInfoStoreVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 物资设备信息表（包含物料、设备、药品）
 *
 * @author JF
 * @date Wed Mar 29 00:00:00 CST 2023
 */
public interface StocksDeviceInfoMapper extends BaseMapper<StocksDeviceInfo> {

  Page<DeviceInfoStoreVo> getDeviceStorelistPage(
      Page page, @Param("qry") DeviceInfoStoreQuery deviceInfoStoreQuery);

  List<Syschildcode> getDicByPcId(@Param("pcid") Long pcid);

  Page<StocksDeviceInfo> getDataPage(Page page, @Param("qry") DeviceInfoQuery query);

  boolean deleteInfoByNumber(@Param("number") Set<String> number);

  boolean batchInsertInfo(@Param("info") List<StocksDeviceInfo> info);

  List<String> getDeviceUnitGroup();
}
