/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.StocksStockInfo;
import com.tofly.yswzMaterials.entity.dto.StockInfoQuery;
import com.tofly.yswzMaterials.entity.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 物资库存信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksStockInfoMapper extends BaseMapper<StocksStockInfo> {
  Page<StockInfoVo> getDataByPage(Page page, @Param("qry") StockInfoQuery stockInfoQuery);

  /**
   * 根据库存id查询入库记录
   * @param page page
   * @param stockInfoId  stockInfoId
   * @return page
   */
  Page<StockInstockVo> getInStoreDataPage(Page page, @Param("stockInfoId") Long stockInfoId,@Param("type")Long type);

  /**
   * 根据库存id查询出库记录
   * @param page page
   * @param stockInfoId stockInfoId
   * @return page
   */
  Page<StockOutstockVo> getOutStoreDataPage(Page page, @Param("stockInfoId") Long stockInfoId);

  /**
   * 根据库存id查询增补出库记录
   * @param page page
   * @param stockInfoId stockInfoId
   * @return page
   */
  Page<StockSupplementVo> getSupplementDataPage(Page page, @Param("stockInfoId") Long stockInfoId);

  /**
   * 根据库存id查询外卖出库记录
   * @param page page
   * @param stockInfoId stockInfoId
   * @return page
   */
  Page<StockTakeawayVo> getTakeawayDataPage(Page page, @Param("stockInfoId") Long stockInfoId);

}
