package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.yswzMaterials.entity.StocksSupplementInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
@Mapper
public interface StocksSupplementInfoMapper extends BaseMapper<StocksSupplementInfo> {

    /**
     * 获取最大编号
     * @param supplementNo 编号
     * @return string
     */
    String getSupplementMaxNo(@Param("supplementNo") String supplementNo);

    /**
     * 获取出库数量
     * @param outStockCode 编码
     * @return double
     */
    Long getOutStockNum(@Param("outStockCode") String outStockCode, @Param("stock") Long stock);


    List<Map<String, Object>> queryReturnNumByCode(@Param("code") String code);

}
