package com.tofly.yswzMaterials.service;

import com.tofly.yswzMaterials.entity.FileInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件上传自定义类
 *
 * @author 20126
 */
public interface IFileInfoService {

  /** 文件上传 */
  List<FileInfo> saveFileList(List<MultipartFile> fileList, String filePathBean, String tableName);

  List<FileInfo> saveFileListTwo(
      List<MultipartFile> fileList, String filePathBean, String tableName);

  /** 根据文件id列表删除远程文件略表 */
  void removeFileList(List<FileInfo> fileInfoList);

  /** 获取当前最新文件集合（不需要文件名） */
  String getNewAnnex(
      String nowAnnex,
      List<MultipartFile> annexList,
      String agoAnnex,
      String path,
      String tableName);
  /**
   * 文件上传更新操作方法，支持删除旧文件，添加新文件
   *
   * @param fileList 新上传的文件列表
   * @param newAnnex 修改编辑过的附件集合json字符串
   * @param oldAnnex 数据库中的附件集合json字符串
   * @param folder 上传路径文件夹
   * @param tableName 上传附件对应的数据库表名
   * @return 上传文件更新删除之后的新附件集合json字符串
   */
  String uploadFiles(
      List<MultipartFile> fileList,
      String newAnnex,
      String oldAnnex,
      String folder,
      String tableName);
}
