package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Loss;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.LossParamVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Bubble
 */
public interface LossService extends IService<Loss> {
    /**
     * 添加盘亏单
     * @param loss 盘亏
     * @param file file
     * @return boolean
     */
    boolean insertLoss(Loss loss, List<MultipartFile> file);

    /**
     * 修改盘亏单
     * @param loss loss
     * @param file file
     * @return boolean
     */
    boolean updateLoss(Loss loss, List<MultipartFile> file);

    /**
     * 删除盘亏单
     * @param ids ids
     * @return boolean
     */
    boolean deleteLoss(String ids);

    /**
     * 分页查询盘亏单
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<Loss> getPageInfo(Page page, CommonQueryDto dto);

    /**
     * 查询盘亏单
     * @param code code
     * @return LossParamVo
     */
    LossParamVo getLossInfo(String code);

}
