package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Picking;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.PickingParamVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Bubble
 */
public interface PickingService extends IService<Picking> {
    /**
     * 新增出库领料单
     * @param picking picking
     * @return boolean
     */
    boolean insertPicking(Picking picking, List<MultipartFile> file);

    /**
     * 修改出库领料单
     * @param picking picking
     * @param file file
     * @return boolean
     */
    boolean updatePicking(Picking picking, List<MultipartFile> file);

    /**
     * 获取出库领料信息
     * @param code 编码
     * @return PickingParamVo
     */
    PickingParamVo getPickingInfo(String code);

    /**
     * 分页查询出库领料单
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<Picking> getPageInfo(Page page, CommonQueryDto dto);

    /**
     * 删除出库领料单
     * @param ids ids
     * @return boolean
     */
    boolean delete(String ids);
}
