package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Profit;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.ProfitParamVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Bubble
 */
public interface ProfitService extends IService<Profit> {
    /**
     * 插入盘盈单
     * @param profit 盘盈
     * @param file file
     * @return boolean
     */
    boolean insertProfit(Profit profit, List<MultipartFile> file);

    /**
     * 更新盘盈单
     * @param profit profit
     * @param file file
     * @return boolean
     */
    boolean updateProfit(Profit profit, List<MultipartFile> file);

    /**
     * 删除盘盈单
     * @param ids ids
     * @return boolean
     */
    boolean deleteProfit(String ids);

    /**
     * 根据id查询盘盈单
     * @param id id
     * @return profit
     */
    Profit getProfitById(Long id);

    /**
     * 分页查询
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<Profit> getPageInfo(Page page, CommonQueryDto dto);

    /**
     * 查询盘盈单信息
     * @param code code
     * @return ProfitParamVo
     */
    ProfitParamVo getProfitInfo(String code);

}
