package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksAudit;
import com.tofly.yswzMaterials.entity.StocksAuditConfig;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author bubble
 */
public interface StocksAuditService extends IService<StocksAudit> {

  /**
   * 发起审核
   *
   * @param type 审核类型：出库、入库等，取字典表
   * @param id 审核表id
   * @return Boolean
   */
  boolean initiateReview(Long type, Long id);

  /**
   * 获取当前记录的最新审批信息
   *
   * @param type 审批类型
   * @param id id
   * @return StocksAudit
   */
  StocksAudit nowAuditInfo(Long type, Long id);

  /**
   * 用户审批
   *
   * @param audit 审批信息
   * @return boolean
   */
  boolean userApprovals(StocksAudit audit, List<MultipartFile> fileIds);

  /**
   * 更新库存
   *
   * @param type 类型
   * @param id 记录id
   */
  void updateInventory(Long type, Long id);

  /**
   * 审核驳回
   *
   * @param type 类型
   * @param id id
   */
  void reviewRejection(StocksAuditConfig config,Long type, Long id);

  boolean testPush(Long id);


}
