/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksDeviceInfo;
import com.tofly.yswzMaterials.entity.dto.DeviceInfoQuery;
import com.tofly.yswzMaterials.entity.dto.DeviceInfoStoreQuery;
import com.tofly.yswzMaterials.entity.vo.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Set;

/**
 * 物资设备信息表（包含物料、设备、药品）
 *
 * @author JF
 * @date Wed Mar 29 00:00:00 CST 2023
 */
public interface StocksDeviceInfoService extends IService<StocksDeviceInfo> {
  boolean saveDeviceInfo(StocksDeviceInfo deviceInfo);

  boolean editDeviceInfo(StocksDeviceInfo deviceInfo);

  Page<DeviceInfoStoreVo> getDeviceStorelistPage(
      Page page, DeviceInfoStoreQuery deviceInfoStoreQuery);

  boolean deleteByIds(String ids);

  //    void DeviceExport(StocksDeviceInfo deviceInfo);

  boolean ImportData(MultipartFile file);

  Page<DeviceRepairVo> getDeviceRepairListPage(Page page, Long deviceId);

  Page<DeviceMaintainVo> getDeviceMaintainListPage(Page page, Long deviceId);

  Page<DevicePatrolVo> getDevicePatrolListPage(Page page, Long deviceId);

  DeviceReportVo getDeviceReport(Long deviceId);

  Page<StocksDeviceInfo> getDataPage(Page page, DeviceInfoQuery query);

  /**
   * 根据编号删除物料信息
   * @param number 编号
   */
  void deleteInfoByNumber(Set<String> number);

  /**
   * 批量添加物料信息
   * @param info info
   * @return boolean
   */
  boolean batchInsertInfo(List<StocksDeviceInfo> info);

  /**
   * 获取设备单位组
   * @return List<String>
   */
  List<String> getDeviceUnitGroup();
}
