/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksOutstockInfo;
import com.tofly.yswzMaterials.entity.dto.OutstockInfoDto;
import com.tofly.yswzMaterials.entity.dto.OutstockInfoQuery;
import com.tofly.yswzMaterials.entity.vo.OutstockInfoVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 库存出库信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksOutstockInfoService extends IService<StocksOutstockInfo> {

  boolean saveOutstockInfo(OutstockInfoDto outstockInfoDto, List<MultipartFile> fileIds);

  boolean editOutstockInfo(OutstockInfoDto outstockInfoDto, List<MultipartFile> fileIds);

  boolean deleteByIds(String ids);

  Page<OutstockInfoVo> getDataPage(Page page, OutstockInfoQuery outstockInfoQuery);

  /**
   * 获取审核完成的出库编号
   *
   * @return list
   */
  List<Map<String, Object>> getOutStockCode();
}
