package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksSupplementInfo;
import com.tofly.yswzMaterials.entity.dto.SupplementInfoDto;
import com.tofly.yswzMaterials.entity.dto.SupplementInfoQuery;
import com.tofly.yswzMaterials.entity.vo.OutstockInfoVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
public interface StocksSupplementInfoService extends IService<StocksSupplementInfo> {

    /**
     * 保存增补出库信息
     * @param infoDto dto
     * @param fileIds 文件
     * @return boolean
     */
    boolean saveSupplementInfo(SupplementInfoDto infoDto, List<MultipartFile> fileIds);

    /**
     * 修改增补出库信息
     * @param infoDto dto
     * @param fileIds 文件
     * @return boolean
     */
    boolean editSupplementInfo(SupplementInfoDto infoDto, List<MultipartFile> fileIds);

    /**
     * 删除增补出库信息
     * @param id ids
     * @return boolean
     */
    boolean deleteSupplementInfo(String id);


    Page<OutstockInfoVo> getDataPage(Page page, SupplementInfoQuery query);

    /**
     * 查询当前出库单退库数量
     * @param code 出库单编码
     * @return list
     */
    List<Map<String, Object>> queryReturnNumByCode(String code);

}
