package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksTakeawayInfo;
import com.tofly.yswzMaterials.entity.dto.OutstockInfoDto;
import com.tofly.yswzMaterials.entity.dto.StocksTakeawayInfoDto;
import com.tofly.yswzMaterials.entity.dto.TakeawayInfoDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author bubble
 */
public interface StocksTakeawayInfoService extends IService<StocksTakeawayInfo> {
  /**
   * 保存外卖出库信息
   *
   * @param takeawayInfoDto 出库信息
   * @param fileIds 文件
   * @return Boolean.TRUE
   */
  boolean saveTakeawayInfo(StocksTakeawayInfo info, List<MultipartFile> file);

  /**
   * 通过id批量删除外卖出库信息
   *
   * @param ids id
   * @return Boolean.TRUE
   */
  boolean removeByIds(String ids);


  /**
   * 编辑外卖出库信息
   *
   * @param takeawayInfo 外卖出库信息
   * @param fileIds 文件
   * @return Boolean.TRUE
   */
  boolean editTakeawayStockInfo(StocksTakeawayInfo info, List<MultipartFile> fileIds);
}
