package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.Storage;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.vo.StorageParamVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface StorageService extends IService<Storage> {
    /**
     * 添加外购入库
     * @param storage storage
     * @param file file
     * @return boolean
     */
    boolean insertStorage(Storage storage, List<MultipartFile> file);

    /**
     * 修改外购入库
     * @param storage storage
     * @param file 文件
     * @return
     */
    boolean updateStorage(Storage storage, List<MultipartFile> file);

    /**
     * 获取外购入库详情
     * @param code code
     * @return StorageParamVo
     */
    StorageParamVo getStorageInfo(String code);


    /**
     * 分页查询
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<Storage> page(Page page, CommonQueryDto dto);

    /**
     * 物资入库删除
     * @param ids ids
     * @return boolean
     */
    boolean delete(String ids);
}
