/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.yswzMaterials.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.util.StringUtil;
import com.tofly.common.oauth.exception.ToflyDeniedException;
import com.tofly.common.oauth.util.SecurityUtils;
import com.tofly.yswzMaterials.em.StocksAuditEnum;
import com.tofly.yswzMaterials.entity.StocksAudit;
import com.tofly.yswzMaterials.entity.StocksInstockDetail;
import com.tofly.yswzMaterials.entity.StocksInstockInfo;
import com.tofly.yswzMaterials.entity.StocksStockInfo;
import com.tofly.yswzMaterials.entity.dto.InstockInfoDto;
import com.tofly.yswzMaterials.entity.dto.InstockInfoQuery;
import com.tofly.yswzMaterials.entity.vo.InstockDetailVo;
import com.tofly.yswzMaterials.entity.vo.InstockInfoVo;
import com.tofly.yswzMaterials.mapper.StocksInstockInfoMapper;
import com.tofly.yswzMaterials.service.*;
import org.apache.commons.lang.time.DateFormatUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import org.springframework.web.multipart.MultipartFile;

import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 库存入库信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Service("tfStocksInstockInfoService")
public class StocksInstockInfoServiceImpl
    extends ServiceImpl<StocksInstockInfoMapper, StocksInstockInfo>
    implements StocksInstockInfoService {

  /*@Value("${yswz.ftp.stocksInstockInfo}")
  private String path;

  @Autowired private StocksInstockDetailService instockDetailService;
  @Autowired private IFileInfoService fileInfoService;
  @Autowired private StocksStockInfoService stockInfoService;
  @Autowired private StocksAuditService stocksAuditService;

  @Override
  @Transactional(rollbackFor = Exception.class)
  public boolean saveInstockInfo(InstockInfoDto instockInfoDto, List<MultipartFile> fileIds) {
    boolean flag;
    if (CollectionUtils.isEmpty(instockInfoDto.getInstockDetails())) {
      throw new RuntimeException("入库明细单数据不能为空");
    }
    //    String baseNo = getRkType(instockInfoDto.getInstockCategory());
    String baseNo = "WZRK";
    // 创建一个Date对象，获取当前时间
    Date now = new Date();
    String strDateFormat = "yyyyMM";
    String startNo = baseNo + DateFormatUtils.format(now, strDateFormat);
    // 获取当天最大的采样编号
    String SampleNo = this.baseMapper.getInstockMaxNo(startNo);

    int firstNum = 1;
    if (SampleNo.length() == 14) {
      firstNum = Integer.parseInt(SampleNo.substring(11)) + 1;
    }
    // 补全数字，不足用0补位
    String end_no = String.format("%04d", firstNum);

    String instockNo = startNo + end_no;

    StocksInstockInfo data = new StocksInstockInfo();
    BeanUtils.copyProperties(instockInfoDto, data);
    // 赋值单号
    data.setInstockNo(instockNo);
    // 默认入库人为当前登录人
    data.setInstockUserId(SecurityUtils.getUserId());
    data.setInstockDpt(SecurityUtils.getUserDeptId());
    // 添加默认为待审核
    data.setInstockStatus(StocksAuditEnum.NOT_REVIEWED.getCode());

    // 附件
    data.setAnnex(
        fileInfoService.uploadFiles(
            fileIds, data.getAnnex(), data.getAnnex(), path, "TF_STOCKS_INSTOCK_INFO"));

    flag = this.save(data);
    // 保存入库明细数据

    for (StocksInstockDetail instockDetail : instockInfoDto.getInstockDetails()) {
      instockDetail.setInstockInfoId(data.getId());
      instockDetailService.save(instockDetail);
    }
    if (!instockInfoDto.getInstockType().equals(StocksAuditEnum.IN_STOCK_TYPE.getCode())) {
      AddStockInfo(
          instockInfoDto.getInstockDetails(), data.getStoreId(), instockInfoDto.getInstockType());
    }
    return flag;
  }

  @Override
  @Transactional(rollbackFor = Exception.class)
  public boolean editInstockInfo(InstockInfoDto instockInfoDto, List<MultipartFile> fileIds) {
    boolean flag;
    StocksInstockInfo instockInfo = this.getById(instockInfoDto.getId());
    if (instockInfo == null) {
      throw new RuntimeException("修改，参数Id错误");
    }

    if (!instockInfo.getInstockStatus().equals(StocksAuditEnum.NOT_REVIEWED.getCode())
        || !instockInfo.getInstockStatus().equals(StocksAuditEnum.HSIANG_HSIEN.getCode())) {
      throw new ToflyDeniedException("该记录已审核完成或正常审核，无法进行修改");
    }

    instockInfoDto.setInstockNo(instockInfo.getInstockNo());
    StocksInstockInfo data = new StocksInstockInfo();
    BeanUtils.copyProperties(instockInfoDto, data);

    // 获取最新的文件集合并填入实体
    data.setAnnex(
        fileInfoService.uploadFiles(
            fileIds, data.getAnnex(), instockInfo.getAnnex(), path, "TF_STOCKS_INSTOCK_INFO"));

    flag = this.updateById(data);

    instockDetailService.remove(
        Wrappers.<StocksInstockDetail>lambdaQuery()
            .eq(StocksInstockDetail::getInstockInfoId, data.getId()));

    for (StocksInstockDetail instockDetail : instockInfoDto.getInstockDetails()) {
      instockDetail.setInstockInfoId(data.getId());
      instockDetailService.save(instockDetail);
    }
    if (!instockInfoDto.getInstockType().equals(StocksAuditEnum.IN_STOCK_TYPE.getCode())) {
      AddStockInfo(
          instockInfoDto.getInstockDetails(), data.getStoreId(), instockInfoDto.getInstockType());
    }

    return flag;
  }

  *//**
   * 加入库存
   *
   * @param instockDetails
   *//*
  private void AddStockInfo(List<InstockDetailVo> instockDetails, Long storeId, Long type) {

    for (StocksInstockDetail detail : instockDetails) {
      List<StocksStockInfo> list;
      if (detail.getShelvesId() != null && detail.getShelvesId() > 0) {
        list =
            stockInfoService.list(
                Wrappers.<StocksStockInfo>lambdaQuery()
                    .eq(StocksStockInfo::getStoreId, storeId)
                    .eq(StocksStockInfo::getShelvesId, detail.getShelvesId())
                    .eq(StocksStockInfo::getDeviceId, detail.getDeviceId()));
      } else {
        list =
            stockInfoService.list(
                Wrappers.<StocksStockInfo>lambdaQuery()
                    .eq(StocksStockInfo::getStoreId, storeId)
                    .eq(StocksStockInfo::getDeviceId, detail.getDeviceId()));
      }

      StocksStockInfo stockInfo = new StocksStockInfo();

      if ((long) list.size() > 0) {
        // 修改
        stockInfo.setId(list.get(0).getId());
        stockInfo.setDeviceId(list.get(0).getDeviceId());
        stockInfo.setStoreId(storeId);
        stockInfo.setInstockTotalNum(list.get(0).getInstockTotalNum() + detail.getInstockNum());
        stockInfo.setStockNum(detail.getInstockNum() + list.get(0).getStockNum());

      } else {
        // 新增
        stockInfo.setDeviceId(detail.getDeviceId());
        stockInfo.setShelvesId(detail.getShelvesId());
        stockInfo.setStockNum(detail.getInstockNum());
        stockInfo.setInstockTotalNum(detail.getInstockNum());
        stockInfo.setOutstockTotalNum(0D);
        stockInfo.setInStockNewTotalNum(0D);
        stockInfo.setTakeawayTotalNum(0D);
        stockInfo.setUnboundTotalNum(0D);
        stockInfo.setUnboundTotalNum(0D);
        stockInfo.setSupplementStockTotalNum(0D);
        stockInfo.setStoreId(storeId);
      }
      stockInfoService.saveOrUpdate(stockInfo);
      detail.setStockInfoId(stockInfo.getId());
      instockDetailService.updateById(detail);
    }
  }

  @Override
  @Transactional(rollbackFor = Exception.class)
  public boolean deleteByIds(String ids) {

    List<String> lstIds = Arrays.asList(ids.split(","));
    List<StocksInstockInfo> instockInfos =
        list(
            Wrappers.<StocksInstockInfo>lambdaQuery()
                .in(StocksInstockInfo::getId, lstIds)
                .and(
                    w ->
                        w.eq(
                                StocksInstockInfo::getInstockStatus,
                                StocksAuditEnum.APPROVED.getCode())
                            .or()
                            .eq(
                                StocksInstockInfo::getInstockStatus,
                                StocksAuditEnum.UNDER_REVIEW.getCode())));
    if (!CollectionUtils.isEmpty(instockInfos)) {
      throw new ToflyDeniedException("选中记录存在审判中或审批完成数据，不允许删除");
    }
    // 删除明细
    instockDetailService.remove(
        Wrappers.<StocksInstockDetail>lambdaQuery().in(StocksInstockDetail::getInstockInfoId, ids));

    stocksAuditService.remove(
        Wrappers.<StocksAudit>lambdaQuery()
            .eq(StocksAudit::getAuditType, StocksAuditEnum.IN_STOCK_CONFIG_TYPE.getCode())
            .in(StocksAudit::getTableId, lstIds));

    // 删除主表
    return this.removeByIds(lstIds);
  }

  @Override
  public Page<InstockInfoVo> getDataPage(Page page, InstockInfoQuery instockInfoQuery) {
    QueryWrapper<StocksInstockInfo> queryWrapper = getInstockInfoQueryWrapper(instockInfoQuery);
    return super.page(page, queryWrapper);
  }

  *//**
   * 查询条件拼接
   *
   * @param instockInfoQuery
   * @return
   *//*
  private QueryWrapper<StocksInstockInfo> getInstockInfoQueryWrapper(
      InstockInfoQuery instockInfoQuery) {
    QueryWrapper<StocksInstockInfo> queryWrapper = new QueryWrapper<>();
    if (instockInfoQuery.getInstockCategory() != null
        && instockInfoQuery.getInstockCategory() > 0) {
      queryWrapper.eq("INSTOCK_CATEGORY", instockInfoQuery.getInstockCategory());
    }

    if (instockInfoQuery.getInstockTimeStart() != null) {
      queryWrapper.ge("INSTOCK_TIME", instockInfoQuery.getInstockTimeStart());
    }
    if (instockInfoQuery.getInstockTimeEnd() != null) {
      queryWrapper.le("INSTOCK_TIME", instockInfoQuery.getInstockTimeEnd());
    }

    if (StringUtil.isNotEmpty(instockInfoQuery.getInstockNo())) {
      queryWrapper.like("INSTOCK_NO", instockInfoQuery.getInstockNo());
    }

    if (StringUtil.isNotEmpty(instockInfoQuery.getInvoiceNo())) {
      queryWrapper.like("INVOICE_NO", instockInfoQuery.getInvoiceNo());
    }

    if (StringUtil.isNotEmpty(instockInfoQuery.getOrderNo())) {
      queryWrapper.like("ORDER_NO", instockInfoQuery.getOrderNo());
    }

    if (StringUtil.isNotEmpty(instockInfoQuery.getSupplier())) {
      queryWrapper.like("SUPPLIER", instockInfoQuery.getSupplier());
    }

    if (instockInfoQuery.getBuinessType() != null && instockInfoQuery.getBuinessType() > 0) {
      queryWrapper.eq("BUINESS_TYPE", instockInfoQuery.getBuinessType());
    }
    if (instockInfoQuery.getStoreId() != null && instockInfoQuery.getStoreId() > 0) {
      queryWrapper.eq("STORE_ID", instockInfoQuery.getStoreId());
    }

    if (instockInfoQuery.getWaterworksId() != null && instockInfoQuery.getWaterworksId() > 0) {
      queryWrapper.eq("FIRM", instockInfoQuery.getWaterworksId());
    }

    String instockType = instockInfoQuery.getInstockType();
    if (!StringUtil.isEmpty(instockType)) {
      List<String> typeList = Arrays.asList(instockType.split(","));
      queryWrapper.in("INSTOCK_TYPE", typeList);
    }

    if (instockInfoQuery.getInstockStatus() != null && instockInfoQuery.getInstockStatus() > 0) {
      queryWrapper.eq("INSTOCK_STATUS", instockInfoQuery.getInstockStatus());
    }

    if (instockInfoQuery.getPurchaseType() != null && instockInfoQuery.getPurchaseType() > 0) {
      queryWrapper.eq("PURCHASE_TYPE", instockInfoQuery.getPurchaseType());
    }

    Long userId = instockInfoQuery.getUserId();
    if (userId != null) {
      List<StocksAudit> auditList =
          stocksAuditService.list(
              Wrappers.<StocksAudit>lambdaQuery()
                  .eq(StocksAudit::getAuditUser, userId)
                  .eq(
                      StocksAudit::getAuditStatus,
                      StocksAuditEnum.AUDIT_STATUS_TO_BE_REVIEWED.getCode())
                  .eq(StocksAudit::getAuditType, StocksAuditEnum.IN_STOCK_CONFIG_TYPE.getCode()));
      if (!CollectionUtils.isEmpty(auditList)) {
        Set<Long> idSet =
            auditList.stream().map(StocksAudit::getTableId).collect(Collectors.toSet());
        queryWrapper.in("ID", idSet);
      } else {
        queryWrapper.eq("ID", -1);
      }
    }

    queryWrapper.orderByDesc("CREATE_TIME");
    return queryWrapper;
  }*/
}
