/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.yswzMaterials.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.yswzMaterials.entity.StocksShelves;
import com.tofly.yswzMaterials.entity.vo.ShelvesVo;
import com.tofly.yswzMaterials.mapper.StocksShelvesMapper;
import com.tofly.yswzMaterials.service.StocksShelvesService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 库存货架表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Service("stocksShelvesService")
public class StocksShelvesServiceImpl extends ServiceImpl<StocksShelvesMapper, StocksShelves>
    implements StocksShelvesService {

  @Override
  public List<ShelvesVo> getShelves(Map<String, Object> queryMap) {
    return baseMapper.getShelves(queryMap);
  }

  @Override
  public Page<ShelvesVo> getShelvesPage(Page page, Map<String, Object> queryMap) {
    return page.setRecords(baseMapper.getShelvesPage(page, queryMap));
  }

  /**
   * 检查名称是否存在，用于修改和新增
   *
   * @param shelves
   * @return
   */
  @Override
  public boolean isExist(StocksShelves shelves) {

    QueryWrapper<StocksShelves> queryWrapper = new QueryWrapper<>();
    queryWrapper.eq("STORE_ID", shelves.getStoreId());
    queryWrapper.eq("SHELVES_NO", shelves.getShelvesNo());

    if (shelves.getId() != null && shelves.getId() > 0) {
      queryWrapper.ne("ID", shelves.getId());
    }
    Integer count = baseMapper.selectCount(queryWrapper);

    if (count > 0) {
      return true;
    }
    return false;
  }
}
