package com.tofly.yswzMaterials.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.yswzMaterials.entity.StocksUnit;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.dto.UnitGroupDto;
import com.tofly.yswzMaterials.mapper.StocksUnitMapper;
import com.tofly.yswzMaterials.service.StocksUnitService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Bubble
 */
@Service
public class StocksUnitServiceImpl extends ServiceImpl<StocksUnitMapper, StocksUnit> implements StocksUnitService {
    /**
     * 获取计量单位信息
     *
     * @return list
     */
    @Override
    public List<UnitGroupDto> getUnitByGroup() {
        return baseMapper.getUnitByGroup();
    }

    /**
     * 计量单位查询
     *
     * @param page page
     * @param dto  dto
     * @return page
     */
    @Override
    public Page<StocksUnit> pageUnit(Page page, CommonQueryDto dto) {
        String input = dto.getInput();
        String groupStr = dto.getGroupStr();
        return page(page, Wrappers.<StocksUnit>lambdaQuery()
                .eq(StringUtils.isNotBlank(groupStr), StocksUnit::getFunitgroup, groupStr)
                .and(StringUtils.isNotBlank(input),w->w.like(StocksUnit::getFname, input)
                        .or().like(StocksUnit::getFnumber,input)
                        .or().like(StocksUnit::getFcoefficient,input)));
    }
}
