package com.tofly.yswzMaterials.service.jindie;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.StocksUnit;
import com.tofly.yswzMaterials.entity.StocksVendor;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.jindie.Material;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface DockingService {

    /**
     * 基础数据查询全部接口
     * @param urlCode urlCode
     * @return list
     */
    List<Material> basicInfoQueryAll(String urlCode);

    /**
     * 基础数据查询接口
     * @param material material
     * @param urlCode urlCode
     * @return list
     */
    Map basicInfoQuery(Material material, String urlCode,String type);

    /**
     * 同步基础信息
     * @param type 0 物资 1 仓库 2 供应商 3 部门 4 员工 5 计量单位
     * @return boolean
     */
    boolean syncBasicInfo(String type);

    /**
     * 获取物料单位组
     * @return list
     */
    List<String> getDeviceUnitGroup();

    /**
     * 获取厂商列表
     * @param page page
     * @return page
     */
    Page getVendorList(Page page);

    /**
     * 获取部门列表
     * @param page page
     * @return page
     */
    Page getDeptList(Page page);

    /**
     * 获取金蝶人员列表
     * @param page page
     * @return page
     */
    Page getEmployeeList(Page page);



}
